# $Id: smeserver-phpki.spec,v 1.6 2017/05/03 21:08:27 unnilennium Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Name:		smeserver-phpki-ng
Version:        0.3
Release: 	6%{?dist}
Summary:        php integration into SME server

Group:          Applications/System
License:        GPL
URL:            http://phpki.sourceforge.net/
Source:         %{name}-%{version}.tar.xz

#Patch0:        smeserver-phpki-0.2-fix_redirect_with_user-manager_and_sso.patch
#Patch1:        smeserver-phpki-0.2.bz10267.updatetktauth.patch

Patch0:         smeserver-phpki-ng-0.3-Add-extra-Loadmodules-to-httpd-conf.patch
Patch1:         smeserver-phpki-ng-0.3-Add-in-systemd-startup.patch
Patch2: 	smeserver-phpki-ng-0.3-php73pool.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildArch:      noarch

BuildRequires:	e-smith-devtools

Requires:	mod_auth_tkt
Requires:	e-smith-base
Requires:	phpki-ng
Requires:	php-process
Requires: 	e-smith-manager >= 2.6.0-22
Obsoletes:	smeserver-phpki

%description
PHPki is an Open Source Web application for managing a multi-agency PKI for HIPAA compliance.
With it, you may create and centrally manage X.509 certificates for use with S/MIME enabled
e-mail clients, SSL servers, and VPN applications.
This package contains specific configuration for SME server


%changelog
* Thu Aug 05 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 0.3-6.sme
- remove modules from patch file [SME: 11402]

* Sun Mar 07 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 0.3-5.sme
- modify dirs in spec file

* Thu Feb 25 2021 Jean-Philipe Pialasse <tests@pialasse.com> 0.3-4.sme
- configure php73 pool [SME: 11207]
  tidy httpd.conf file
  reuse phpki user and group

* Sat Feb 13 2021 Brian Read <brianr@bjsystems.co.uk> 0.3-3.sme
- Set execution bit on /opt/phpki/html/ca in spec file[SME: 11207]

* Tue Feb 09 2021 Brian Read <brianr@bjsystems.co.uk> 0.3-3.sme
- Add-in-systemd-startup [SME: 11207]

* Thu Nov 26 2020 Brian Read <brianr@bjsystems.co.uk> 0.3-2.sme
- Add in Loadmodules needed to pki-conf/httpd.conf [SME: 11207]

* Fri Apr 03 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 0.3-1.sme
- New release for phpki-ng-0.84 based on phpki-0.83

* Wed May 03 2017 Jean-Philipe Pialasse <tests@pialasse.com> 0.2-3.sme
- update TKT auth parameter for SME 9.2 update [SME: 10267]

* Mon Nov 18 2013 Daniel B. <daniel@firewall-services.com> - 0.2-2.sme
- Fix a redirect issue with user-manager and LemonLDAP::NG as SSO

* Mon Nov 11 2013 Daniel B. <daniel@firewall-services.com> - 0.2-1.sme
- Rebuild for SME9
- Do not disable httpd-pki service on uninstall

* Fri May 24 2013 JP Pialasse <tests@pialasse.com> - 0.1-6.sme
- added php-process as dependency [SME: 7439]

* Thu Oct 13 2011 Daniel B. <daniel@firewall-services.com> - 0.1-5.sme
- Change session path [SME: 6661]

* Wed Jul 20 2011 Daniel B. <daniel@firewall-services.com> - 0.1-5.sme
- Protect by location (so we can set another location protected by LemonLDAP::NG)

* Mon Feb 23 2009 Daniel B. <daniel@firewall-services.com> [0.1-4]
- Fix logrotate issue (send a sigusr1 signal to httpd-pki)

* Mon Dec 15 2008 Daniel B. <daniel@firewall-services.com> [0.1-3]
- Move server-manager panel to "security" section

* Wed Dec 10 2008 Daniel B. <daniel@firewall-services.com> [0.1-2]
- expand-templates in bootstrap-console-save instead of post-upgrade
- Disable authentication for the public part (so CRL can be updated automatically)
- Change the name of the menue in server-manager to certificate Management

* Tue Dec 02 2008 Daniel B. <daniel@firewall-services.com> [0.1-1]
- Restrict access to /phpki/ca for admin, ask for a valid user for /phpki
- expand-templates on signal events conf-userpanels and domain-modify

* Thu Nov 27 2008 Daniel B. <daniel@firewall-services.com> [0.1-0]
- initial release


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
mkdir -p root/var/lib/php/phpki/{tmp,session,opcache}
rm -rf root/var/lib/php/pki-session
mkdir -p root/var/log/phpki


%build
perl createlinks

%install

%{__mkdir_p} $RPM_BUILD_ROOT/var/service/httpd-pki/supervise
%{__mkdir_p} $RPM_BUILD_ROOT/var/service/httpd-pki/log/supervise
%{__mkdir_p} $RPM_BUILD_ROOT/var/log/httpd-pki
%{__mkdir_p} $RPM_BUILD_ROOT/var/lib/php/pki-session


(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)

chmod +x $RPM_BUILD_ROOT/usr/sbin/systemd/httpd-pki

/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--dir /var/service/httpd-pki 'attr(01755,root,root)' \
	--file /var/service/httpd-pki/run 'attr(0700,root,root)' \
        --dir /var/service/httpd-pki/supervise 'attr(0700,root,root)' \
        --dir /var/service/httpd-pki/log 'attr(0755,root,root)' \
        --file /var/service/httpd-pki/log/run 'attr(0755,root,root)' \
        --dir /var/service/httpd-pki/log/supervise 'attr(0700,root,root)' \
        --dir /var/log/httpd-pki 'attr(0750,smelog,smelog)' \
        --dir /var/lib/php/phpki 'attr(0770,root,phpki)' \
        --dir /var/lib/php/phpki/session 'attr(0770,root,phpki)' \
        --dir /var/lib/php/phpki/opcache 'attr(0770,root,phpki)' \
        --dir /var/lib/php/phpki/tmp 'attr(0770,root,phpki)' \
	--dir /var/log/phpki/tmp 'attr(0770,root,phpki)' \
	> %{name}-%{version}-filelist

%post
chmod +x /opt/phpki/html/
chmod +x /opt/phpki/html/ca

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%pre
#/sbin/e-smith/create-system-user phpki 455 'Phpki User' /opt/phpki /bin/false >& /dev/null || :

%preun


